Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.concurrent
Interface IExecutorMBean

All Known Subinterfaces:
  JMXConfigurableThreadPoolExecutorMBean, JMXEnabledThreadPoolExecutorMBean

All Known Implementing Classes:
  JMXConfigurableThreadPoolExecutor, JMXEnabledThreadPoolExecutor

    public interface IExecutorMBean

Method Summary
`int` | `getActiveCount()` Get the current number of running tasks
`long` | `getCompletedTasks()` Get the number of completed tasks
`long` | `getPendingTasks()` Get the number of tasks waiting to be executed

Method Detail

### getActiveCount

    int getActiveCount()

  Get the current number of running tasks

### getCompletedTasks

    long getCompletedTasks()

  Get the number of completed tasks

### getPendingTasks

    long getPendingTasks()

  Get the number of tasks waiting to be executed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation